Bug 4628

Summary: python-hildon lacks some functions from hildon/hildon-gtk.h
Product: [Extras] PyMaemo Reporter: Anderson Lizardo <anderson.lizardo>
Component: GeneralAssignee: Anderson Lizardo <anderson.lizardo>
Status: RESOLVED FIXED QA Contact: general
Severity: normal    
Priority: Medium CC: anderson.lizardo, marcelo.lira
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Linux   

Description Anderson Lizardo (reporter) 2009-06-03 22:17:58 UTC
The following functions are currently not available on python-hildon:

hildon_gtk_menu_new
hildon_gtk_button_new
hildon_gtk_toggle_button_new
hildon_gtk_radio_button_new
hildon_gtk_tree_view_new
hildon_gtk_tree_view_new_with_model
hildon_gtk_icon_view_new
hildon_gtk_icon_view_new_with_model
hildon_gtk_hscale_new
hildon_gtk_vscale_new

All of them are constructors for GTK classes, but defined in Hildon. They can
become classes in hildon with names like:

hildon.GtkMenu
hildon.GtkButton
...

or even classes of a subpackage:

hildon.gtk.Menu
hildon.gtk.Button
...
Comment 1 Anderson Lizardo (reporter) 2009-06-08 19:20:31 UTC
python-hildon 0.9.0-1maemo7 adds support for some of these functions, remaining
missing bits:

hildon_gtk_menu_new
hildon_gtk_toggle_button_new
hildon_gtk_radio_button_new
hildon_gtk_icon_view_new
hildon_gtk_icon_view_new_with_model
hildon_gtk_hscale_new
hildon_gtk_vscale_new

Note: the Python API for these functions is:

hildon.GtkClass

e.g.:

hildon.GtkButton
hildon.GtkTreeView
Comment 2 Marcelo Lira 2009-06-09 01:15:15 UTC
The HildonSizeType enum is also missing.
Comment 3 Anderson Lizardo (reporter) 2009-06-09 02:18:06 UTC
It's not :). It's in the GTK module, because it is added as changes to gtk+ C
library.

See e.g. gtk.HILDON_SIZE_AUTO
Comment 4 Anderson Lizardo (reporter) 2009-06-09 21:03:06 UTC
python-hildon 0.9.0-1maemo8 added support for hildon_gtk_radio_button_new,
remaining missing bits:

hildon_gtk_menu_new
hildon_gtk_toggle_button_new
hildon_gtk_icon_view_new
hildon_gtk_icon_view_new_with_model
hildon_gtk_hscale_new
hildon_gtk_vscale_new
Comment 5 Anderson Lizardo (reporter) 2009-07-15 22:56:05 UTC
Fixed in SVN trunk (r1211). Will be on next python-hildon release
(0.9.0-1maemo9).